Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158328 - System freezes (UP and SMP) when use a stressed java application
Summary: System freezes (UP and SMP) when use a stressed java application
Keywords:
Status: CLOSED DUPLICATE of bug 141394
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-20 15:47 UTC by Albert Graham
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-06 23:33:53 UTC


Attachments (Terms of Use)

Description Albert Graham 2005-05-20 15:47:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050417 Fedora/1.7.7-1.3.1

Description of problem:
Bugzilla Bug 158075  System freezes (UP and SMP) when use a stressed java application on RHEL 4 (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158075)

This bug has been confirmed to exist on RHEL 3 U2 + U3 + U4 causing Java to Crash.



Version-Release number of selected component (if applicable):
RHEL 3U1-U4 + RHEL 4  - Kernel-2.4.-27-04

How reproducible:
Always

Steps to Reproduce:
1. see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158075
2. for details
3.
  

Actual Results:  see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158075

Expected Results:  no crash

Additional info:

This bug looks like it has been ported from RHEL 3 to RHEL 4, It has been fixed in RHEL 4 Beta - Can you PLEASE fix this in RHEL 3 U5

Comment 1 Ernie Petrides 2005-05-20 20:18:43 UTC
Albert, U5 was released a couple of days ago.  Could you please verify
whether this problem still exists, and if so, please capture the console
panic/oops output via a serial console and attach it to this bug?  Thanks.

Comment 2 Nicolas Aizier 2005-12-05 17:19:25 UTC
Hi all,

I'm so happy to find this bug. I was beginning to get mad about this.
I'm actually on U4 with several servers and can confirm that this bug occur
randomly on kernels : 2.4.21-27.ELhugemem & 2.4.21-27.ELsmp


Can someone give me an advice except migration to RHEL4 U1 ?
And also can someone confirm me that RHEL 4 U1 really correct this bug ?

Regards, Nicolas Aizier.

Comment 3 Jason Baron 2005-12-05 18:26:11 UTC
Nicolas, what is the status of this bug?  Does your system still hang when you
use the latest released version oth RHEL3-U6? 

Thank-You, Larry Woodman

Comment 4 Albert Graham 2005-12-05 19:03:16 UTC
Sorry I forgot to respond to this post since I upgraded to kernel
2.4.21-32.0.1.ELsmp and the Java bug does seem to be fixed.

However, I later upgraded our Oracle server to U6, but oracle just seems to die!
(top shows close to %100 system for very long periods of time).

At first I thought this was some interaction problem with Qlogic/PowerPath, but
I confirmed the problem without Qlogic/PowerPath using local SCSI disks.

Basically, U6 is NOT for oracle (at least if you have any kind of load).

This bug exhibits itself as "dead" oracle processes - ie. processes shown by the
ps command, but are not in the oracle v$process list, at the same time there was
no errors in the oracle log ?

The "dead" processes seemed to have been detached from the main oracle instance,
so oracle knew nothing about them.

I had to revert back, to 2.4.21-32.0.1.ELsmp (from -37-xx I think).

In fact, oracle's performance was so bad, a single user could lock it up in a
few seconds, I spent a number of weeks trying to figure this one out, but had to
give as nothing has been reported on any of the usual lists. Once I reverted
everything was at lighting speed!

I'm in the process of abandoning RHEL 3 and moving to RHEL 4 hopefully soon as
there are just too many gotcha's with RHEL 3.

Regards Albert.



Comment 5 Larry Woodman 2005-12-05 19:46:44 UTC
Albert, this is the first I've ever heard of Oracle hanging on RHEL3-U6.  Do you
have any of the top output or anything else we can look at when the system was
hung up like that?

Thanks, Larry


Comment 6 Nicolas Aizier 2005-12-06 14:50:14 UTC
I'm actually migrating to 2.4.21-32.0.1.ELsmp but can't go futher because we 
got lots of tera on IBM ESS disks bays.

Hope this will correct the problem, still testing RHEL4 to migrate also

Comment 7 Albert Graham 2005-12-06 16:00:25 UTC
Hi Larry,

I'm not in a position to gather further information on this problem as our
database is in a production environment.

As, I said, we do plan to upgrade to RHEL 4, at which time I will report back if
the problem still exists.

What I can say for the benefit of others is that we have found kernel
2.4.21-32.0.1.ELsmp to be rock solid with oracle and java.

Albert.



Comment 8 Ernie Petrides 2005-12-06 23:33:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-472.html


*** This bug has been marked as a duplicate of 141394 ***


Note You need to log in before you can comment on or make changes to this bug.